package kr.co.vividnext.sodalive.admin.audition

import com.querydsl.core.annotations.QueryProjection
import kr.co.vividnext.sodalive.audition.AuditionStatus

data class GetAuditionListResponse(
    val totalCount: Int,
    val items: List<GetAuditionListItem>
)

data class GetAuditionListItem @QueryProjection constructor(
    val id: Long,
    val title: String,
    val imageUrl: String,
    val isAdult: Boolean,
    val information: String,
    val status: AuditionStatus,
    val originalWorkUrl: String
)
