package kr.co.vividnext.sodalive.audition

import com.querydsl.core.annotations.QueryProjection

data class GetAuditionDetailRawData @QueryProjection constructor(
    val auditionId: Long,
    val title: String,
    val imageUrl: String,
    val information: String
)

data class GetAuditionDetailResponse(
    val auditionId: Long,
    val title: String,
    val imageUrl: String,
    val information: String,
    val roleList: List<GetAuditionRoleListData>
)

data class GetAuditionRoleListData @QueryProjection constructor(
    val roleId: Long,
    val name: String,
    val imageUrl: String,
    val isComplete: Boolean
)
