package kr.co.vividnext.sodalive.content.comment

import com.querydsl.core.annotations.QueryProjection

data class GetAudioContentCommentListResponse(
    val totalCount: Int,
    val items: List<GetAudioContentCommentListItem>
)

data class GetAudioContentCommentListItem @QueryProjection constructor(
    val id: Long,
    val writerId: Long,
    val nickname: String,
    val profileUrl: String,
    val comment: String,
    val isSecret: Boolean,
    val donationCan: Int,
    val date: String,
    var replyCount: Int = 0
)
