package kr.co.vividnext.sodalive.content.main.tab.content

import kr.co.vividnext.sodalive.content.main.ContentCreatorResponse
import kr.co.vividnext.sodalive.content.main.GetAudioContentMainItem
import kr.co.vividnext.sodalive.content.main.GetAudioContentRankingItem
import kr.co.vividnext.sodalive.content.main.banner.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.content.main.tab.GetContentCurationResponse
import kr.co.vividnext.sodalive.event.GetEventResponse

data class GetContentMainTabContentResponse(
    val tabId: Long = 3,
    val bannerList: List<GetAudioContentBannerResponse>,
    val contentThemeList: List<String>,
    val newContentList: List<GetAudioContentMainItem>,
    val rankSortTypeList: List<String>,
    val rankContentList: List<GetAudioContentRankingItem>,
    val contentRankCreatorList: List<ContentCreatorResponse>,
    val salesCountRankContentList: List<GetAudioContentRankingItem>,
    val eventBannerList: GetEventResponse,
    val tagList: List<String>,
    val tagCurationContentList: List<GetAudioContentMainItem>,
    val curationList: List<GetContentCurationResponse>
)
