package kr.co.vividnext.sodalive.live.roulette

import org.springframework.data.redis.core.StringRedisTemplate
import org.springframework.stereotype.Service

@Service
class RedisIdGenerator(private val stringRedisTemplate: StringRedisTemplate) {
    fun generateId(key: String): Long {
        return stringRedisTemplate.opsForValue().increment(key, 1) ?: 1L
    }
}
