package kr.co.vividnext.sodalive.admin.calculate.ratio

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.member.Member
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.OneToOne

@Entity
data class CreatorSettlementRatio(
    val subsidy: Int,
    val liveSettlementRatio: Int,
    val contentSettlementRatio: Int,
    val communitySettlementRatio: Int
) : BaseEntity() {
    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "member_id", nullable = false)
    var member: Member? = null
}
