package kr.co.vividnext.sodalive.content.main.tab.series

import kr.co.vividnext.sodalive.content.main.ContentCreatorResponse
import kr.co.vividnext.sodalive.content.main.banner.GetAudioContentBannerResponse
import kr.co.vividnext.sodalive.content.main.tab.GetRecommendSeriesListResponse
import kr.co.vividnext.sodalive.content.series.GetSeriesGenreListResponse
import kr.co.vividnext.sodalive.content.series.GetSeriesListResponse
import kr.co.vividnext.sodalive.event.GetEventResponse

data class GetContentMainTabSeriesResponse(
    val tabId: Long = 2,
    val contentBannerList: List<GetAudioContentBannerResponse>,
    val originalAudioDrama: List<GetSeriesListResponse.SeriesListItem>,
    val rankSeriesList: List<GetSeriesListResponse.SeriesListItem>,
    val genreList: List<GetSeriesGenreListResponse>,
    val recommendSeriesList: List<GetSeriesListResponse.SeriesListItem>,
    val newSeriesList: List<GetRecommendSeriesListResponse>,
    val rankCompleteSeriesList: List<GetSeriesListResponse.SeriesListItem>,
    val seriesRankCreatorList: List<ContentCreatorResponse>,
    val recommendSeriesByChannel: List<GetSeriesListResponse.SeriesListItem>,
    val eventBannerList: GetEventResponse,
    val curationList: List<GetSeriesCurationResponse>
)
