package kr.co.vividnext.sodalive.menu

import com.fasterxml.jackson.annotation.JsonInclude
import com.querydsl.core.annotations.QueryProjection

data class GetMenuResponse @QueryProjection constructor(
    val title: String,
    @JsonInclude(JsonInclude.Include.NON_NULL)
    val route: String? = null,
    @JsonInclude(JsonInclude.Include.NON_NULL)
    val items: List<GetMenuResponse>? = null
)
